APIAuth

List API keys

List the organization's API keys.

GET
/api-keys

List the organization's API keys.

Authorization

ApiKeyAuth
headerAuthorizationBearer <token>

Bearer token authentication. Send an API key (a saai_api_-prefixed token) as Authorization: Bearer <token>.

Required permission

view_api_keys

Response Body

The request has succeeded.

application/json
  1. response
items*array<>
Example Request
curl -X GET 'https://your-org.aisecurity.services.us.connect.secureauth.com/api/v1/api-keys'
Example Response
{  "items": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "name": "string",      "permissions": [        "view_agents"      ],      "last_four": "string",      "expires_at": "2019-08-24T14:15:22Z",      "last_used_at": "2019-08-24T14:15:22Z",      "revoked_at": "2019-08-24T14:15:22Z",      "created_at": "2019-08-24T14:15:22Z"    }  ]}